ApplicationNotificationsManager (Social Portal ASL Extension 1.4.0-4.12.0-169465 API)
Date: 2018-07-18

org.gcube.applicationsupportlayer.social

## Class ApplicationNotificationsManager

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.SocialPortalBridge
  - - org.gcube.applicationsupportlayer.social.ApplicationNotificationsManager

- All Implemented Interfaces:
    NotificationsManager

      public class ApplicationNotificationsManager
      extends SocialPortalBridge
      implements NotificationsManager

  Author:
    Massimiliano Assante, ISTI-CNR use to notify users from within your application

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USER_MESSAGES_FRIENDLY_URL`
    `static String` | `USER_NOTIFICATION_FRIENDLY_URL`
    `static String` | `USER_WORKSPACE_FRIENDLY_URL`

    - ### Fields inherited from class org.gcube.applicationsupportlayer.social.SocialPortalBridge

      `applicationProfile, currGroupName, currScope, currUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationNotificationsManager(SocialNetworkingSite site, String scope, SocialNetworkingUser currUser)` Use this constructor if you do not need notifications to point back to your applications
    `ApplicationNotificationsManager(SocialNetworkingSite site, String scope, SocialNetworkingUser currUser, String portletClassName)` Use this constructor if you do need notifications to point back to your applications, make sure you create your application profile on the infrastructure.
    `ApplicationNotificationsManager(org.gcube.vomanagement.usermanagement.UserManager userManager, SocialNetworkingSite site, String scope, SocialNetworkingUser currUser)` Use this constructor if your artifact is not deployed on the portal and do not need notifications to point back to your applications
    `ApplicationNotificationsManager(org.gcube.vomanagement.usermanagement.UserManager userManager, SocialNetworkingSite site, String scope, SocialNetworkingUser currUser, String portletClassName)` Use this constructor if your artifact is not deployed on the portal and you do need notifications to point back to your applications, make sure you create your application profile on the infrastructure.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `notifyAddedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item new in some of his workspace shared folder
    `boolean` | `notifyAddedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyAdministratorDowngrade(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got downgraded from Administrator of a folder shared
    `boolean` | `notifyAdministratorDowngrade(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyAdministratorUpgrade(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got upgraded to Administrator of a folder shared
    `boolean` | `notifyAdministratorUpgrade(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyCommentOnFavorite(String userIdToNotify, String postId, String commentText, String commentKey)`
    `boolean` | `notifyCommentOnLike(String userIdToNotify, String postId, String commentText, String commentKey)`
    `boolean` | `notifyCommentReply(String userIdToNotify, String postId, String commentText, String feedOwnerFullName, String feedOwnerId, String commentKey)` use to notify a user that commented on a post (Not his) that someone commented too
    `boolean` | `notifyDeletedCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyEditedCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyFolderAddedUser(String userIdToNotify, SocialSharedFolder sharedFolder, String newAddedUserId)` use to notify a user that a new user was added in on of his workspace shared folder
    `boolean` | `notifyFolderAddedUser(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder, String newAddedUserId)` Deprecated.
    `boolean` | `notifyFolderAddedUsers(String userIdToNotify, SocialSharedFolder sharedFolder, List<String> newAddedUserIds)` use to notify a user that a new user was added in on of his workspace shared folder
    `boolean` | `notifyFolderAddedUsers(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder, List<String> newAddedUserIds)` Deprecated.
    `boolean` | `notifyFolderRemovedUser(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user that an existing user was removed from one of his workspace shared folder
    `boolean` | `notifyFolderRemovedUser(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyFolderRenaming(String userIdToNotify, String previousName, String newName, String renamedFolderId)` use to notify a user he got a workspace folder renamed
    `boolean` | `notifyFolderSharing(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace folder shared
    `boolean` | `notifyFolderSharing(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyFolderUnsharing(String userIdToNotify, String unsharedFolderId, String unsharedFolderName)` use to notify a user he got a workspace folder shared
    `boolean` | `notifyItemRenaming(String userIdToNotify, String previousName, SocialFileItem renamedItem, SocialSharedFolder rootSharedFolder)` use to notify a user he got a workspace item renamed
    `boolean` | `notifyItemRenaming(String userIdToNotify, String previousName, org.gcube.common.homelibrary.home.workspace.WorkspaceItem renamedItem, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder rootSharedFolder)` Deprecated.
    `boolean` | `notifyJobStatus(String userIdToNotify, org.gcube.portal.databook.shared.RunningJob job)` use to notify a user he got one of his job finished
    `boolean` | `notifyLikedFeed(String userIdToNotify, String postId, String postText)` Deprecated.
    `boolean` | `notifyLikedPost(String userIdToNotify, String postId, String postText)` use to notify a user he got one of his post liked
    `boolean` | `notifyMessageReceived(String userIdToNotify, String messageId, String subject, String messageText, String... otherRecipientsFullNames)`
    `boolean` | `notifyMovedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item deleted from one of his workspace shared folder
    `boolean` | `notifyMovedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyNewCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyOwnCommentReply(String userIdToNotify, String postId, String postText, String commentKey)` use to notify a user that someone commented on his post
    `boolean` | `notifyPost(String userIdToNotify, String postId, String postText, Set<String> mentionedVREGroups, Set<String> hashtags)` use to notify a user that someone created this post
    `boolean` | `notifyPost(String userIdToNotify, String postId, String postText, String... hashtags)` use to notify a user that someone created this post
    `boolean` | `notifyRemovedItem(String userIdToNotify, String itemName, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item deleted from one of his workspace shared folder
    `boolean` | `notifyRemovedItem(String userIdToNotify, String itemName, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyTDMObjectSharing(String userIdToNotify, org.gcube.portal.databook.shared.NotificationType type, String tdmObjectName, String encodedTabularResourceParams)` use to notify a user he got a Tabular Data Resource shared
    `boolean` | `notifyTDMTabularResourceSharing(String userIdToNotify, String tabularResourceName, String encodedTabularResourceParams)`
    `boolean` | `notifyUpdatedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item updated from one of his workspace shared folder
    `boolean` | `notifyUpdatedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated.
    `boolean` | `notifyUserTag(String userIdToNotify, String postId, String postText, String commentKey)` use to notify a user that he was mentioned (tagged) on a post

    - ### Methods inherited from class org.gcube.applicationsupportlayer.social.SocialPortalBridge

      `escapeHtml, getApplicationProfile, getStoreInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_WORKSPACE_FRIENDLY_URL

          public static final String USER_WORKSPACE_FRIENDLY_URL

      See Also:
        Constant Field Values

    - #### USER_MESSAGES_FRIENDLY_URL

          public static final String USER_MESSAGES_FRIENDLY_URL

      See Also:
        Constant Field Values

    - #### USER_NOTIFICATION_FRIENDLY_URL

          public static final String USER_NOTIFICATION_FRIENDLY_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationNotificationsManager

          public ApplicationNotificationsManager(SocialNetworkingSite site,
                                                 String scope,
                                                 SocialNetworkingUser currUser)

      Use this constructor if you do not need notifications to point back to your applications

      Parameters:
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data
        `site` - an instance of `SocialNetworkingSite` filled with the required data

    - #### ApplicationNotificationsManager

          public ApplicationNotificationsManager(org.gcube.vomanagement.usermanagement.UserManager userManager,
                                                 SocialNetworkingSite site,
                                                 String scope,
                                                 SocialNetworkingUser currUser)

      Use this constructor if your artifact is not deployed on the portal and do not need notifications to point back to your applications

      Parameters:
        `userManager` - a remote implementation of `UserManager`,see `LiferayWSUserManager`
        `site` - an instance of `SocialNetworkingSite` filled with the required data
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data

    - #### ApplicationNotificationsManager

          public ApplicationNotificationsManager(SocialNetworkingSite site,
                                                 String scope,
                                                 SocialNetworkingUser currUser,
                                                 String portletClassName)

      Use this constructor if you do need notifications to point back to your applications, make sure you create your application profile on the infrastructure.

      Parameters:
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data
        `site` - an instance of `SocialNetworkingSite` filled with the required data
        `portletClassName` - your portlet class name will be used ad unique identifier for your applicationProfile
      See Also:
        `http://wiki.gcube-system.org/gcube/index.php/Social_Networking_Library#Create_Your_Application_Profile`

    - #### ApplicationNotificationsManager

          public ApplicationNotificationsManager(org.gcube.vomanagement.usermanagement.UserManager userManager,
                                                 SocialNetworkingSite site,
                                                 String scope,
                                                 SocialNetworkingUser currUser,
                                                 String portletClassName)

      Use this constructor if your artifact is not deployed on the portal and you do need notifications to point back to your applications, make sure you create your application profile on the infrastructure.

      Parameters:
        `userManager` - a remote implementation of `UserManager`,see `LiferayWSUserManager`
        `scope` - the current scope
        `currUser` - an instance of `SocialNetworkingUser` filled with the required user data
        `site` - an instance of `SocialNetworkingSite` filled with the required data
        `portletClassName` - your portlet class name will be used ad unique identifier for your applicationProfile
      See Also:
        `http://wiki.gcube-system.org/gcube/index.php/Social_Networking_Library#Create_Your_Application_Profile`

  - ### Method Detail

    - #### notifyFolderSharing

          @Deprecated
          public boolean notifyFolderSharing(String userIdToNotify,
                                                         org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                  throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace folder shared
      Specified by:
        `notifyFolderSharing` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderSharing

          public boolean notifyFolderSharing(String userIdToNotify,
                                             SocialSharedFolder sharedFolder)

      use to notify a user he got a workspace folder shared
      Specified by:
        `notifyFolderSharing` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderUnsharing

          public boolean notifyFolderUnsharing(String userIdToNotify,
                                               String unsharedFolderId,
                                               String unsharedFolderName)
                                        throws Exception

      use to notify a user he got a workspace folder shared
      Specified by:
        `notifyFolderUnsharing` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `unsharedFolderId` - the unshared folder id
        `unsharedFolderName` - the unshared folder name
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorUpgrade

          @Deprecated
          public boolean notifyAdministratorUpgrade(String userIdToNotify,
                                                                org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                         throws Exception

      Deprecated.
      use to notify a user he got upgraded to Administrator of a folder shared
      Specified by:
        `notifyAdministratorUpgrade` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorUpgrade

          public boolean notifyAdministratorUpgrade(String userIdToNotify,
                                                    SocialSharedFolder sharedFolder)
                                             throws Exception

      use to notify a user he got upgraded to Administrator of a folder shared
      Specified by:
        `notifyAdministratorUpgrade` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorDowngrade

          @Deprecated
          public boolean notifyAdministratorDowngrade(String userIdToNotify,
                                                                  org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                           throws Exception

      Deprecated.
      use to notify a user he got downgraded from Administrator of a folder shared
      Specified by:
        `notifyAdministratorDowngrade` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorDowngrade

          public boolean notifyAdministratorDowngrade(String userIdToNotify,
                                                      SocialSharedFolder sharedFolder)
                                               throws Exception

      use to notify a user he got downgraded from Administrator of a folder shared
      Specified by:
        `notifyAdministratorDowngrade` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderRenaming

          public boolean notifyFolderRenaming(String userIdToNotify,
                                              String previousName,
                                              String newName,
                                              String renamedFolderId)
                                       throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace folder renamed
      Specified by:
        `notifyFolderRenaming` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `newName` - the new name of the folder
        `renamedFolderId` - the folderId
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderAddedUser

          @Deprecated
          public boolean notifyFolderAddedUser(String userIdToNotify,
                                                           org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder,
                                                           String newAddedUserId)
                                                    throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                           org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                           org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                           org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      Deprecated.
      use to notify a user that a new user was added in on of his workspace shared folder
      Specified by:
        `notifyFolderAddedUser` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
        `newAddedUserId` - the new user that was added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderAddedUser

          public boolean notifyFolderAddedUser(String userIdToNotify,
                                               SocialSharedFolder sharedFolder,
                                               String newAddedUserId)
                                        throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                               org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                               org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                               org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      use to notify a user that a new user was added in on of his workspace shared folder
      Specified by:
        `notifyFolderAddedUser` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
        `newAddedUserId` - the new user that was added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderAddedUsers

          @Deprecated
          public boolean notifyFolderAddedUsers(String userIdToNotify,
                                                            org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder,
                                                            List<String> newAddedUserIds)
                                                     throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                            org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                            org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                            org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      Deprecated.
      use to notify a user that a new user was added in on of his workspace shared folder
      Specified by:
        `notifyFolderAddedUsers` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
        `newAddedUserIds` - List of new users that were added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderAddedUsers

          public boolean notifyFolderAddedUsers(String userIdToNotify,
                                                SocialSharedFolder sharedFolder,
                                                List<String> newAddedUserIds)
                                         throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      use to notify a user that a new user was added in on of his workspace shared folder
      Specified by:
        `notifyFolderAddedUsers` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
        `newAddedUserIds` - List of new users that were added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyFolderRemovedUser

          @Deprecated
          public boolean notifyFolderRemovedUser(String userIdToNotify,
                                                             org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                      throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                             org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                             org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                             org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      Deprecated.
      use to notify a user that an existing user was removed from one of his workspace shared folder
      Specified by:
        `notifyFolderRemovedUser` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`

    - #### notifyFolderRemovedUser

          public boolean notifyFolderRemovedUser(String userIdToNotify,
                                                 SocialSharedFolder sharedFolder)
                                          throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException,
                                                 org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                 org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                 org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      use to notify a user that an existing user was removed from one of his workspace shared folder
      Specified by:
        `notifyFolderRemovedUser` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`

    - #### notifyAddedItem

          @Deprecated
          public boolean notifyAddedItem(String userIdToNotify,
                                                     org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                                     org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                              throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace item new in some of his workspace shared folder
      Specified by:
        `notifyAddedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyAddedItem

          public boolean notifyAddedItem(String userIdToNotify,
                                         SocialFileItem item,
                                         SocialSharedFolder sharedFolder)
                                  throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace item new in some of his workspace shared folder
      Specified by:
        `notifyAddedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyMovedItem

          @Deprecated
          public boolean notifyMovedItem(String userIdToNotify,
                                                     org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                                     org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                              throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Specified by:
        `notifyMovedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyMovedItem

          public boolean notifyMovedItem(String userIdToNotify,
                                         SocialFileItem item,
                                         SocialSharedFolder sharedFolder)
                                  throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Specified by:
        `notifyMovedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyRemovedItem

          @Deprecated
          public boolean notifyRemovedItem(String userIdToNotify,
                                                       String itemName,
                                                       org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Specified by:
        `notifyRemovedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyRemovedItem

          public boolean notifyRemovedItem(String userIdToNotify,
                                           String itemName,
                                           SocialSharedFolder sharedFolder)
                                    throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Specified by:
        `notifyRemovedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyUpdatedItem

          @Deprecated
          public boolean notifyUpdatedItem(String userIdToNotify,
                                                       org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                                       org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                                throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace item updated from one of his workspace shared folder
      Specified by:
        `notifyUpdatedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `WorkspaceFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyUpdatedItem

          public boolean notifyUpdatedItem(String userIdToNotify,
                                           SocialFileItem item,
                                           SocialSharedFolder sharedFolder)
                                    throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace item updated from one of his workspace shared folder
      Specified by:
        `notifyUpdatedItem` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyItemRenaming

          @Deprecated
          public boolean notifyItemRenaming(String userIdToNotify,
                                                        String previousName,
                                                        org.gcube.common.homelibrary.home.workspace.WorkspaceItem renamedItem,
                                                        org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder rootSharedFolder)
                                                 throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Deprecated.
      use to notify a user he got a workspace item renamed
      Specified by:
        `notifyItemRenaming` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `renamedItem` - the renamed `WorkspaceItem`
        `rootSharedFolder` - the root shared `WorkspaceSharedFolder` of the `WorkspaceItem`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyItemRenaming

          public boolean notifyItemRenaming(String userIdToNotify,
                                            String previousName,
                                            SocialFileItem renamedItem,
                                            SocialSharedFolder rootSharedFolder)
                                     throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      use to notify a user he got a workspace item renamed
      Specified by:
        `notifyItemRenaming` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `renamedItem` - the renamed `SocialFileItem`
        `rootSharedFolder` - the root shared `SocialSharedFolder` of the `SocialFileItem`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### notifyMessageReceived

          public boolean notifyMessageReceived(String userIdToNotify,
                                               String messageId,
                                               String subject,
                                               String messageText,
                                               String... otherRecipientsFullNames)

      Specified by:
        `notifyMessageReceived` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `messageId` - the unique identifier of the message
        `subject` - the subject of the message sent
        `messageText` - the text of the message (text/plain)
        `otherRecipientsFullNames` - the Full Names of the other recipients. if any
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyPost

          public boolean notifyPost(String userIdToNotify,
                                    String postId,
                                    String postText,
                                    String... hashtags)

      use to notify a user that someone created this post
      Specified by:
        `notifyPost` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyPost

          public boolean notifyPost(String userIdToNotify,
                                    String postId,
                                    String postText,
                                    Set<String> mentionedVREGroups,
                                    Set<String> hashtags)

      Description copied from interface: `NotificationsManager`
      use to notify a user that someone created this post
      Specified by:
        `notifyPost` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `postText` - the liked post text or a portion of it
        `mentionedVREGroups` - the names of the mentioned vre's groups, if any
        `hashtags` - the set of hashtags in the post, if any
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyOwnCommentReply

          public boolean notifyOwnCommentReply(String userIdToNotify,
                                               String postId,
                                               String postText,
                                               String commentKey)

      use to notify a user that someone commented on his post
      Specified by:
        `notifyOwnCommentReply` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `postText` - the liked post text or a portion of it
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentReply

          public boolean notifyCommentReply(String userIdToNotify,
                                            String postId,
                                            String commentText,
                                            String feedOwnerFullName,
                                            String feedOwnerId,
                                            String commentKey)

      use to notify a user that commented on a post (Not his) that someone commented too
      Specified by:
        `notifyCommentReply` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `commentText` - the liked post text or a portion of it
        `feedOwnerFullName` - the full name of the user who created the post
        `feedOwnerId` - the username of the user who created the post
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentOnFavorite

          public boolean notifyCommentOnFavorite(String userIdToNotify,
                                                 String postId,
                                                 String commentText,
                                                 String commentKey)

      Specified by:
        `notifyCommentOnFavorite` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `commentText` - the commentText
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentOnLike

          public boolean notifyCommentOnLike(String userIdToNotify,
                                             String postId,
                                             String commentText,
                                             String commentKey)

      Specified by:
        `notifyCommentOnLike` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `commentText` - the commentText
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyUserTag

          public boolean notifyUserTag(String userIdToNotify,
                                       String postId,
                                       String postText,
                                       String commentKey)

      use to notify a user that he was mentioned (tagged) on a post
      Specified by:
        `notifyUserTag` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyLikedFeed

          @Deprecated
          public boolean notifyLikedFeed(String userIdToNotify,
                                                     String postId,
                                                     String postText)

      Deprecated.
      use to notify a user he got one of his post liked
      Specified by:
        `notifyLikedFeed` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyLikedPost

          public boolean notifyLikedPost(String userIdToNotify,
                                         String postId,
                                         String postText)

      use to notify a user he got one of his post liked
      Specified by:
        `notifyLikedPost` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postId` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyJobStatus

          public boolean notifyJobStatus(String userIdToNotify,
                                         org.gcube.portal.databook.shared.RunningJob job)

      use to notify a user he got one of his job finished
      Specified by:
        `notifyJobStatus` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyNewCalendarEvent

          public boolean notifyNewCalendarEvent(String userIdToNotify,
                                                String eventTitle,
                                                String eventType,
                                                Date startDate,
                                                Date endingDate)

      Specified by:
        `notifyNewCalendarEvent` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyEditedCalendarEvent

          public boolean notifyEditedCalendarEvent(String userIdToNotify,
                                                   String eventTitle,
                                                   String eventType,
                                                   Date startDate,
                                                   Date endingDate)

      Specified by:
        `notifyEditedCalendarEvent` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyDeletedCalendarEvent

          public boolean notifyDeletedCalendarEvent(String userIdToNotify,
                                                    String eventTitle,
                                                    String eventType,
                                                    Date startDate,
                                                    Date endingDate)

      Specified by:
        `notifyDeletedCalendarEvent` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyTDMTabularResourceSharing

          public boolean notifyTDMTabularResourceSharing(String userIdToNotify,
                                                         String tabularResourceName,
                                                         String encodedTabularResourceParams)
                                                  throws Exception

      Specified by:
        `notifyTDMTabularResourceSharing` in interface `NotificationsManager`
      Throws:
        `Exception`

    - #### notifyTDMObjectSharing

          public boolean notifyTDMObjectSharing(String userIdToNotify,
                                                org.gcube.portal.databook.shared.NotificationType type,
                                                String tdmObjectName,
                                                String encodedTabularResourceParams)
                                         throws Exception

      use to notify a user he got a Tabular Data Resource shared
      Specified by:
        `notifyTDMObjectSharing` in interface `NotificationsManager`
      Parameters:
        `userIdToNotify` - the user you want to notify
        `type` - type of the shared tdm object (TDM Rule or TDM Template at the moment)
        `tdmObjectName` - the name
        `encodedTabularResourceParams` - the parameters to be placed in the HTTP GET Request (must be encoded)
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

Copyright © 2018. All Rights Reserved.